Skip to main content
GET
/
porting_orders
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const portingOrder = await client.portingOrders.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');

console.log(portingOrder.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
porting_order = client.porting_orders.retrieve(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(porting_order.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
portingOrder, err := client.PortingOrders.Get(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.PortingOrderGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", portingOrder.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.PortingOrderRetrieveParams;
import com.telnyx.sdk.models.portingorders.PortingOrderRetrieveResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

PortingOrderRetrieveResponse portingOrder = client.portingOrders().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

porting_order = telnyx.porting_orders.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")

puts(porting_order)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$portingOrder = $client->portingOrders->retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', includePhoneNumbers: true
);

var_dump($portingOrder);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx porting-orders retrieve \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
curl --request GET \
--url https://api.telnyx.com/v2/porting_orders/{id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "f1486bae-f067-460c-ad43-73a92848f902",
    "customer_reference": "Acct 123abc",
    "customer_group_reference": "Group-456",
    "created_at": "2021-03-19T10:07:15.527Z",
    "updated_at": "2021-03-19T10:07:15.527Z",
    "status": {
      "details": [
        {
          "code": "ENTITY_NAME_MISMATCH",
          "description": "Entity name does not match that on the CSR"
        }
      ],
      "value": "ported"
    },
    "support_key": "sr_123abc",
    "parent_support_key": "pr_123abc",
    "porting_phone_numbers_count": 1,
    "old_service_provider_ocn": "Unreal Communications",
    "phone_numbers": [
      {
        "porting_order_status": "in-process",
        "phone_number_type": "local",
        "phone_number": "13035550987",
        "porting_order_id": "f1486bae-f067-460c-ad43-73a92848f902",
        "support_key": "sr_a12345",
        "activation_status": "Active",
        "portability_status": "confirmed",
        "requirements_status": "approved",
        "record_type": "porting_phone_number"
      }
    ],
    "documents": {
      "loa": "64ffb720-04c7-455b-92d6-20fcca92e935",
      "invoice": "ce74b771-d23d-4960-81ec-8741b3862146"
    },
    "misc": {
      "type": "full",
      "remaining_numbers_action": "disconnect",
      "new_billing_phone_number": "<string>"
    },
    "end_user": {
      "admin": {
        "entity_name": "Porter McPortersen",
        "auth_person_name": "Porter McPortersen II",
        "billing_phone_number": "13035551234",
        "account_number": "123abc",
        "tax_identifier": "1234abcd",
        "pin_passcode": "1234",
        "business_identifier": "abc123"
      },
      "location": {
        "street_address": "600 Congress Avenue",
        "extended_address": "14th Floor",
        "locality": "Austin",
        "administrative_area": "TX",
        "postal_code": "78701",
        "country_code": "US"
      }
    },
    "activation_settings": {
      "foc_datetime_requested": "2021-03-19T10:07:15.527Z",
      "foc_datetime_actual": "2021-03-19T10:07:15.527Z",
      "fast_port_eligible": true,
      "activation_status": "Active"
    },
    "phone_number_configuration": {
      "billing_group_id": "f1486bae-f067-460c-ad43-73a92848f902",
      "connection_id": "f1486bae-f067-460c-ad43-73a92848f902",
      "messaging_profile_id": "f1486bae-f067-460c-ad43-73a92848f901",
      "emergency_address_id": "f1486bae-f067-460c-ad43-73a92848f902",
      "tags": [
        "abc",
        "123"
      ]
    },
    "phone_number_type": "local",
    "description": "FP Telnyx",
    "requirements": [
      {
        "field_type": "document",
        "field_value": "9787fb5f-cbe5-4de4-b765-3303774ee9fe",
        "requirement_type_id": "59b0762a-b274-4f76-ac32-4d5cf0272e66",
        "record_type": "porting_requirement"
      }
    ],
    "requirements_met": false,
    "user_feedback": {
      "user_rating": 5,
      "user_comment": "I loved my experience porting numbers with Telnyx"
    },
    "user_id": "40d68ba2-0847-4df2-be9c-b0e0cb673e75",
    "webhook_url": "https://example.com/porting_webhooks",
    "record_type": "porting_order",
    "messaging": {
      "messaging_capable": true,
      "enable_messaging": true,
      "messaging_port_status": "pending",
      "messaging_port_completed": false
    },
    "additional_steps": []
  },
  "meta": {
    "phone_numbers_url": "/v2/porting_phone_numbers?filter[porting_order_id]=eef10fb8-f3df-4c67-97c5-e18179723222"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Porting Order id

Query Parameters

include_phone_numbers
boolean
default:true

Include the first 50 phone number objects in the results

Response

Successful response

data
object
meta
object